Skip to content
Snippets Groups Projects
Commit 9bfa2c4e authored by jurgenhaas's avatar jurgenhaas
Browse files

Merge branch 'develop' into 'main'

Merging develop into main

See merge request !28
parents d93c8895 5a478008
No related branches found
No related tags found
1 merge request!28Merging develop into main
Pipeline #619473 failed
......@@ -38,7 +38,7 @@ RUN echo 'hosts: files dns' > /etc/nsswitch.conf && \
*) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;;\
esac && \
\
apk add --no-cache ca-certificates curl openssl gettext && \
apk add --no-cache ca-certificates curl openssl && \
\
if ! curl -fSL -o docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then \
echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; \
......@@ -61,15 +61,18 @@ RUN echo 'hosts: files dns' > /etc/nsswitch.conf && \
apk add --no-cache openssh wget make patch bash fish zsh python3 git git-lfs unzip acl libpng-dev libzip-dev sudo jq nano rsync && \
ln -sf python3 /usr/bin/python && \
ln -sf pip3 /usr/bin/pip && \
if [ "${ALPINE_VERSION}" = "3.12" ]; then \
apk add --no-cache mandoc py3-pip ; \
if [ "${ALPINE_VERSION}" = "3.11" ]; then \
apk add --no-cache mdocml-apropos gettext ; \
python -m pip install --upgrade pip ; \
elif [ "${ALPINE_VERSION}" = "3.12" ]; then \
apk add --no-cache mandoc py3-pip gettext ; \
elif [ "${ALPINE_VERSION}" = "3.15" ]; then \
apk add --no-cache mandoc py3-pip ; \
apk add --no-cache mandoc py3-pip gettext ; \
else \
apk add --no-cache mdocml-apropos ; \
python -m pip install --upgrade pip ; \
fi && \
pip install semver && \
pip install requests semver && \
\
if [ "${PHP_MAJOR_VERSION}" = "7.2" ]; then \
echo "No libiconv to install" ; \
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Please register or to comment